%define upstream_name    Mail-AuthenticationResults
%define upstream_version 1.20200108

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Class for modelling AuthenticationResults Header parts detected as quoted strings
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        http://metacpan.org/release/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Mail/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(JSON)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::More)
BuildRequires: perl(base)
BuildRequires: perl(lib)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
Object Oriented Authentication-Results email headers.

This parser copes with most styles of Authentication-Results header seen in
the wild, but is not yet fully RFC7601 compliant

Differences from RFC7601

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Wed Feb 19 2020 umeabot <umeabot> 1.202.1.80-2.mga8
+ Revision: 1543009
- Mageia 8 Mass Rebuild

* Thu Jan 09 2020 tv <tv> 1.202.1.80-1.mga8
+ Revision: 1477375
- update to 1.20200108

* Wed Apr 17 2019 shlomif <shlomif> 1.201.809.230-1.mga7
+ Revision: 1392475
- imported package perl-Mail-AuthenticationResults


* Wed Apr 17 2019 cpan2dist 1.20180923-1mga
- initial mageia release, generated with cpan2dist
